Futures Cross

Get open orders

GET/futures/cross/orders/openPrivate

Get all the cross orders that are still open

Permissions: futures:cross:read

Response Body

OK

application/json
  1. response
[index: integer]?
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.futures.cross.getOpenOrders()
[  {    "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",    "type": "limit",    "side": "buy",    "quantity": 100,    "price": 20000,    "tradingFee": 10,    "createdAt": "2025-09-01T15:04:21.129Z",    "filledAt": null,    "canceledAt": null,    "open": true,    "filled": false,    "canceled": false,    "clientId": "test-client-id-123"  }]